#pragma once
#include "B4RDefines.h"
#include <Stepper.h>
namespace B4R {
	
	//~Version: 1.00
	//~shortname: Stepper
	/**
	*Controls stepper motors.
	*/
	class B4RStepper {
		private:
			Stepper* sp;
			uint8_t backend[sizeof(Stepper)];
		public:
			//Two wire motor.
			void Initialize(Int TotalNumberOfSteps, Int MotorPin1, Int MotorPin2);
			//Four pins motor.
			void Initialize2(Int TotalNumberOfSteps, Int MotorPin1, Int MotorPin2, Int MotorPin3, Int MotorPin4);
			//Five phase motor.
			void Initialize3(Int TotalNumberOfSteps, Int MotorPin1, Int MotorPin2, Int MotorPin3, Int MotorPin4, Int MotorPin5);
			//Sets the speed (revs per minute).
			void SetSpeed(Long Speed);
			//Moves the motor.
			void Step(Int NumberOfSteps);
   
	};
}